Subject: Re: [RFC 2/3] tc: deprecate TC_ACT_QUEUED

From: Florian Westphal <[email-masked]>
Date: Thu, 23 Apr 2015 23:20:42 +0200

Jamal Hadi Salim <[email-masked]> wrote:
> 2) the ACT_QUEUED vs STOLEN was supposed to have semantics of something
> that was stolen (eg redirection should definetely have been returning
> STOLEN not QUEUED); something that queues for later re-injection
> (with any/all metadata) was intended to use QUEUED. I believe netfilter
> may have  followed suit and introduced similar codes (so it would be
> interesting to see how they use them).

Hooks (Targets) don't queue themselves, i.e. NF_QUEUE tells the
netfilter core that the skb is to be handed off to nf_queue machinery,
while NF_STOLEN is the more obvious "don't touch this skb ever again".